com.dlsc.flexgantt.model.gantt

## Interface ILayer

- All Superinterfaces:
    Comparable<INamedObject>, INamedObject
  All Known Implementing Classes:
    Layer

      public interface ILayer
      extends INamedObject

  An interface for objects that represent a layer. The visualization of layers is managed by an instance of the `LayerContainer` class, which utilizes a layer factory instance (see `ILayerFactory`) to instantiate a user interface component for each layer. Usually layers are visualized by a `TimelineObjectLayer`, except if the layer specifies that it is a custom layer. In that case the user interface component for the layer gets provided by a subclass of `AbstractCustomLayer`.
  Since:
    1.0
  Version:
    $Revision: 1.25 $
  Author:
    Dirk Lemmermann
  See Also:
    `IGanttChartModel.getLayers()`, `LayerContainer.showLayer(ILayer)`, `LayerContainer.hideLayer(ILayer)`, `LayerContainer.moveBack(ILayer)`, `LayerContainer.moveForward(ILayer)`, `LayerContainer.moveToBack(ILayer)`, `LayerContainer.moveToFront(ILayer)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ILayer.Feature` An enumerator with values that describe features that a layer can have or not have.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCustomLayer()` Returns TRUE if the layer will be visualized by a custom layer (see `AbstractCustomLayer`) instead of the standard `TimelineObjectLayer`.
    `boolean` | `isFeatureEnabled(ILayer.Feature feature)` Determines whether a feature is currently supported / required by a layer or not.

    - ### Methods inherited from interface com.dlsc.flexgantt.util.INamedObject

      `getName`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### isCustomLayer

          boolean isCustomLayer()

      Returns TRUE if the layer will be visualized by a custom layer (see `AbstractCustomLayer`) instead of the standard `TimelineObjectLayer`. The custom layer implementation needs to be provided by the application code. An implementation of `ILayerFactory` or a subclass of `DefaultLayerFactory` needs to be provided, which returns the custom layer implementation when the factories create method for custom layers gets invoked.
      Returns:
        TRUE if the layer is a custom layer
      Since:
        1.0

    - #### isFeatureEnabled

          boolean isFeatureEnabled(ILayer.Feature feature)

      Determines whether a feature is currently supported / required by a layer or not.
      Parameters:
        `feature` - the feature to check for enablement
      Returns:
        TRUE if the given feature is supported / required
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.